%global majorversion 0
%global minorversion 4
%global microversion 1

%global snapdate  202204191810
%global gitcommit a87008622c9d12dba6dd75c5bbf0bff126da22fb
%global shortcommit %(c=%{gitcommit}; echo ${c:0:7})

Name:           pipewire-media-session
Summary:        PipeWire Media Session Manager
Version:        %{majorversion}.%{minorversion}.%{microversion}
Release:        %{?snapdate:%{snapdate}git%{shortcommit}}%{?dist}
License:        MIT
URL:            https://pipewire.org/
%if 0%{?snapdate}
Source0:        https://gitlab.freedesktop.org/pipewire/media-session/-/archive/%{gitcommit}/media-session-%{shortcommit}.tar.gz
%else
Source0:        https://gitlab.freedesktop.org/pipewire/media-session/-/archive/%{version}/media-session-%{version}.tar.gz
%endif

# During the review request for Fedora, the package got renamed to
# pipewire-media-session. This line here is just to provide a smoother update
# for COPR users, will be removed in a few days
Provides:       media-session%{?_isa} = %{version}-%{release}
Obsoletes:      media-session < %{version}-%{release}

# Virtual Provides to support swapping between PipeWire session manager implementations
Provides:       pipewire-session-manager
Conflicts:      pipewire-session-manager

BuildRequires:  meson gcc pkgconfig
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  gettext
BuildRequires:  systemd-devel >= 184
BuildRequires:  alsa-lib-devel
BuildRequires:  systemd-rpm-macros

Requires:       systemd >= 184

%description
This package contains the reference Media Session Manager for the
PipeWire media server.

%prep
%autosetup -p1 %{?snapdate:-n media-session-%{gitcommit}}

%build
%meson \
    -Ddocs=disabled \
    -Dsystemd=enabled \
    -Dwith-module-sets=alsa,pulseaudio,jack
%meson_build

%install
%meson_install

%find_lang media-session

%post
%systemd_user_post pipewire-media-session.service

%preun
%systemd_user_preun pipewire-media-session.service

%files -f media-session.lang
%license LICENSE COPYING
%doc README.md
%{_bindir}/pipewire-media-session
%{_userunitdir}/pipewire-media-session.service
%dir %{_datadir}/pipewire/media-session.d/
%{_datadir}/pipewire/media-session.d/alsa-monitor.conf
%{_datadir}/pipewire/media-session.d/bluez-monitor.conf
%{_datadir}/pipewire/media-session.d/media-session.conf
%{_datadir}/pipewire/media-session.d/v4l2-monitor.conf

%{_datadir}/pipewire/media-session.d/with-alsa
%{_datadir}/pipewire/media-session.d/with-jack
%{_datadir}/pipewire/media-session.d/with-pulseaudio

%changelog
* Mon Oct 18 2021 Peter Hutterer <peter.hutterer@redhat.com>
- copr autobuild from git setup
